%global srcname musicbrainzngs
%global sum MusicBrainz NGS Python bindings

%global python2_wheelname %{srcname}-%{version}-py2.py3-none-any.whl
%global python3_wheelname %python2_wheelname

Name:		python-%{srcname}
Version:	0.7.1
Release:	2%{?dist}
Summary:	%{sum}

# license clarification issue opened upstream
# https://github.com/takluyver/entrypoints/issues/10

License:	MIT

URL:		https://github.com/alastair/%{name}
Source0:	python-%{srcname}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python2-devel python2-setuptools
BuildRequires:	python3-devel python3-setuptools
BuildRequires:	python3-sphinx
BuildRequires:	make

%description
%{sum}

%package -n python2-%{srcname}
Summary:	%{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{sum}

%package -n python3-%{srcname}
Summary:	%{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{sum}

%package -n python-%{srcname}-doc
Summary:	Documentation for python-entrypoints

%description -n python-%{srcname}-doc
Documentation files for python-entrypoints

%prep
%autosetup -n python-%{srcname}-%{version}


%build
%py2_build
%py3_build

pushd docs
make html PYTHON="%{__python3}" SPHINXBUILD=sphinx-build-%{python3_version}
rm _build/html/.buildinfo
popd


%install
%py3_install
%py2_install


%files -n python2-%{srcname}
%doc docs/_build/html
%doc README.rst CHANGES
%license COPYING
%{python2_sitelib}/*

%files -n python3-%{srcname}
%doc docs/_build/html
%doc README.rst CHANGES
%license COPYING
%{python3_sitelib}/*

%files -n python-%{srcname}-doc
%doc docs/_build/html
%doc README.rst CHANGES
%license COPYING

%changelog
* Fri Apr 30 2021 Philippe Troin <phil@fifi.org> - 0.7.1-2
- Add make to BuildRequires for F34.

* Tue Jun 16 2020 Philippe Troin <phil@fifi.org> - 0.7.1-1
- Upstream updated to 0.7.1.
- Add BuildRequires python[23]-setuptools.

* Fri Nov  1 2019 Philippe Troin <phil@fifi.org> - 0.6-2
- BuildRequires python3-sphinx.
